Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.ui.views
Class FacetView

    java.lang.Object
      ViewPart
          org.eclipse.gmt.modisco.infra.facet.ui.views.FacetView

    public class FacetView

extends ViewPart

An Eclipse view that displays a list of available MoDisco facet sets. Clicking on a facet set opens it in the facet set editor.

Constructor Summary
`FacetView()`

Method Summary
`void` | `added(EObject addedFacetSet, IFile file)` Called when a facet set is added
`void` | `changed(EObject changedFacetSet, IFile file)` Called when a facet set changes
`void` | `createPartControl(Composite parent)`
`void` | `dispose()`
`TreeViewer` | `getFacetSetViewer()`
`TreeViewerColumn` | `getNameColumn()`
`void` | `removed(IFile facetSetFile)` Called when a facet set is removed
`void` | `setFocus()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacetView

    public FacetView()

Method Detail

### getFacetSetViewer

    public TreeViewer getFacetSetViewer()

### getNameColumn

    public TreeViewerColumn getNameColumn()

### createPartControl

    public void createPartControl(Composite parent)

### setFocus

    public void setFocus()

### dispose

    public void dispose()

### changed

    public void changed(EObject changedFacetSet,
                        IFile file)

  Called when a facet set changes

### added

    public void added(EObject addedFacetSet,
                      IFile file)

  Called when a facet set is added

### removed

    public void removed(IFile facetSetFile)

  Called when a facet set is removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD